package com.iamberry.wechat.core.entity.coupon;

import java.util.ArrayList;
import  java.util.Date;
import  java.io.Serializable;
import java.util.List;

/**
 *  兑换表类
 *  每个兑换券有且仅有一个兑换类型
 * @author
 * @Date 2018-12-11
 */
public class Exchange  implements  Serializable{
    private static final long serialVersionUID = 4161577323724581015L;
    //
    private Integer exchangeId;
    //
    private Integer couponId;
    //名称
    private String exchangeName;
    //名称
    private String exchangeDesc;
    //创建时间
    private Date exchangeCreateTime;
    //修改时间'
    private Date exchangeUpdateTime;

    private List<ExchangeItem> exchangeItemList = new ArrayList<>();

    public Integer getExchangeId(){
        return exchangeId;
    }

    public void setExchangeId(Integer  exchangeId){
        this.exchangeId=exchangeId;
    }

    public Integer getCouponId(){
        return couponId;
    }

    public void setCouponId(Integer  couponId){
        this.couponId=couponId;
    }

    public Date getExchangeCreateTime(){
        return exchangeCreateTime;
    }

    public void setExchangeCreateTime(Date  exchangeCreateTime){
        this.exchangeCreateTime=exchangeCreateTime;
    }

    public Date getExchangeUpdateTime(){
        return exchangeUpdateTime;
    }

    public void setExchangeUpdateTime(Date  exchangeUpdateTime){
        this.exchangeUpdateTime=exchangeUpdateTime;
    }

    public String getExchangeName() {
        return exchangeName;
    }

    public void setExchangeName(String exchangeName) {
        this.exchangeName = exchangeName;
    }

    public String getExchangeDesc() {
        return exchangeDesc;
    }

    public void setExchangeDesc(String exchangeDesc) {
        this.exchangeDesc = exchangeDesc;
    }

    public List<ExchangeItem> getExchangeItemList() {
        return exchangeItemList;
    }

    public void setExchangeItemList(List<ExchangeItem> exchangeItemList) {
        this.exchangeItemList = exchangeItemList;
    }
}